## org.mortbay.util
Class CodeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.mortbay.util.CodeException

All Implemented Interfaces:
  java.io.Serializable

public class CodeException
extends java.lang.RuntimeException

Code Exception. Thrown by Code.assert or Code.fail

Version:
  $Id: CodeException.java,v 1.1 2001/09/02 01:13:08 gregwilkins Exp $
Author:
  Greg Wilkins
See Also:
  `Code`, Serialized Form

Constructor Summary
`CodeException()` Default constructor.
`CodeException(java.lang.String msg)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeException

    public CodeException()

  Default constructor.

### CodeException

    public CodeException(java.lang.String msg)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.